Bug 882531 - (mfm-sendto) Review Request: mate-file-manager-sendto - Send to plugin for MATE file manager
Review Request: mate-file-manager-sendto - Send to plugin for MATE file manager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nelson Marques
Fedora Extras Quality Assurance
:
: 882532 (view as bug list)
Depends On: MATE-DE-tracker
Blocks: mate-bluetooth
  Show dependency treegraph
 
Reported: 2012-12-01 13:02 EST by Dan Mashal
Modified: 2013-01-11 20:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-01 23:57:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nmo.marques: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Dan Mashal 2012-12-01 13:05:01 EST
*** Bug 882532 has been marked as a duplicate of this bug. ***
Comment 2 Nelson Marques 2012-12-17 12:24:12 EST
Dan,

%files libs
%doc AUTHORS COPYING README
%{_libdir}/caja-sendto/plugins/libnstburn.so
%{_libdir}/caja-sendto/plugins/libnstemailclient.so
%{_libdir}/caja-sendto/plugins/libnstgajim.so
%{_libdir}/caja-sendto/plugins/libnstpidgin.so
%{_libdir}/caja-sendto/plugins/libnstremovable_devices.so
%{_libdir}/caja-sendto/plugins/libnstupnp.so
%{_libdir}/caja/extensions-2.0/libcaja-sendto.so

This files are not standard public libraries (they even don't provide a soname), instead they are internal shared objects, which you can call 'plugins'; We do not expect foreign applications to link against them.

So I would recommend you call the package plugins and not 'libs' as they aren't in my opinion what we would call a public library.

Do you agree?
Comment 3 Dan Mashal 2012-12-17 19:56:58 EST
Per conversation, putting them into the main package for now.

Spec URL: http://vicodan.fedorapeople.org/matespec/mate-file-manager-sendto.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-file-manager-sendto-1.5.0-2.fc18.src.rpm
Description: MATE Desktop file manager send to plugin.
Comment 4 Nelson Marques 2012-12-17 20:54:23 EST
Good job Dan. I have no issues, just a suggestion: while pidgin and gajim aren't really required during build time, you have two plugins which do not work correctly without pidgin/gadjim installed. So it would be nice to have those splitted to sub-packages and add the Requires to pidgin/gadjim so that they are pulled when users want those installed. 

Both of them do have 'expensive' dependencies (runtime), so splitting could be fun.






Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated". 3 files have unknown license. Detailed output of licensecheck
     in /home/nmarques/882531-mate-file-manager-sendto/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: mate-file-manager-sendto-debuginfo-1.5.0-2.fc18.x86_64.rpm
          mate-file-manager-sendto-1.5.0-2.fc18.src.rpm
          mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm
          mate-file-manager-sendto-devel-1.5.0-2.fc18.x86_64.rpm
mate-file-manager-sendto.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-sendto-1.5.0/COPYING
mate-file-manager-sendto-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-file-manager-sendto-debuginfo mate-file-manager-sendto mate-file-manager-sendto-devel
mate-file-manager-sendto.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-file-manager-sendto-1.5.0/COPYING
mate-file-manager-sendto-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-file-manager-sendto-debuginfo-1.5.0-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgssdp-1.0.so.3()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgupnp-1.0.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libsoup-2.4.so.1()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)

mate-file-manager-sendto-devel-1.5.0-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    mate-file-manager-sendto(x86-64) = 1.5.0-2.fc18
    pkgconfig(glib-2.0)
    pkgconfig(gmodule-2.0)
    pkgconfig(gtk+-2.0)



Provides
--------
mate-file-manager-sendto-debuginfo-1.5.0-2.fc18.x86_64.rpm:
    
    mate-file-manager-sendto-debuginfo = 1.5.0-2.fc18
    mate-file-manager-sendto-debuginfo(x86-64) = 1.5.0-2.fc18

mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm:
    
    libcaja-sendto.so()(64bit)
    libnstburn.so()(64bit)
    libnstemailclient.so()(64bit)
    libnstgajim.so()(64bit)
    libnstpidgin.so()(64bit)
    libnstremovable_devices.so()(64bit)
    libnstupnp.so()(64bit)
    mate-file-manager-sendto = 1.5.0-2.fc18
    mate-file-manager-sendto(x86-64) = 1.5.0-2.fc18

mate-file-manager-sendto-devel-1.5.0-2.fc18.x86_64.rpm:
    
    mate-file-manager-sendto-devel = 1.5.0-2.fc18
    mate-file-manager-sendto-devel(x86-64) = 1.5.0-2.fc18
    pkgconfig(caja-sendto) = 1.5.0



Unversioned so-files
--------------------
mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm: /usr/lib64/caja-sendto/plugins/libnstburn.so
mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm: /usr/lib64/caja-sendto/plugins/libnstemailclient.so
mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm: /usr/lib64/caja-sendto/plugins/libnstgajim.so
mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm: /usr/lib64/caja-sendto/plugins/libnstpidgin.so
mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm: /usr/lib64/caja-sendto/plugins/libnstremovable_devices.so
mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm: /usr/lib64/caja-sendto/plugins/libnstupnp.so
mate-file-manager-sendto-1.5.0-2.fc18.x86_64.rpm: /usr/lib64/caja/extensions-2.0/libcaja-sendto.so

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-file-manager-sendto-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 3a18d4d09f9761802793804aa23945c85f04c240e188750aaf8f3d70631d0f98
  CHECKSUM(SHA256) upstream package : 3a18d4d09f9761802793804aa23945c85f04c240e188750aaf8f3d70631d0f98


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -m fedora-18-x86_64 -b 882531
Comment 5 Nelson Marques 2012-12-17 20:56:17 EST
ok looks good, APPROVED
Comment 6 Dan Mashal 2012-12-18 18:14:33 EST
New Package SCM Request
=======================
Package Name: mate-file-manager-sendto
Short Description: MATE Desktop file manager send to plugin.
Owners: vicodan rdieter nmarques
Branches: f16 f17 f18
Comment 7 Jon Ciesla 2012-12-19 07:22:56 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-12-21 06:22:44 EST
mate-file-manager-sendto-1.5.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-file-manager-sendto-1.5.0-2.fc16
Comment 9 Fedora Update System 2012-12-21 06:27:55 EST
mate-file-manager-sendto-1.5.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-file-manager-sendto-1.5.0-2.fc17
Comment 10 Fedora Update System 2012-12-21 06:28:06 EST
mate-file-manager-sendto-1.5.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-sendto-1.5.0-2.fc18
Comment 11 Fedora Update System 2012-12-21 15:03:58 EST
mate-file-manager-sendto-1.5.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-01-01 23:57:10 EST
mate-file-manager-sendto-1.5.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2013-01-01 23:58:07 EST
mate-file-manager-sendto-1.5.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2013-01-11 20:04:16 EST
mate-file-manager-sendto-1.5.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.